package capitulo02.bloque03;

import java.util.Scanner;

public class Ejercicio03 {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int eleccion;
        float num1, num2;

        System.out.println("""
                Bienvenido a la calculadora avanzada 2
                Seleccione el cálculo que desea hacer:
                1 - Cálculo de la hipotenusa de un triángulo
                2 - Cálculo de la superficie de una circunferencia
                3 - Cálculo del perímetro de una circunferencia
                4 - Cálculo del área de un rectángulo
                5 - Cálculo del área de un triángulo""");
        eleccion = sc.nextInt();
        switch (eleccion) {
            case 1:
                System.out.println("Introduzca la longitud del primer cateto del triángulo");
                num1 = sc.nextFloat();
                System.out.println("Introduzca la longitud del segundo cateto del triángulo");
                num2 = sc.nextFloat();
                System.out.println("La hipotenusa del triángulo es: " + Math.sqrt(Math.pow(num1, 2) + Math.pow(num2, 2)));
                break;
            case 2:
                System.out.println("Introduzca el radio de la circunferencia");
                num1 = sc.nextFloat();
                System.out.println("La hipotenusa del triángulo es: " + (Math.PI * Math.pow(num1, 2)));
                break;
            case 3:
                System.out.println("Introduzca el radio de la circunferencia");
                num1 = sc.nextFloat();
                System.out.println("El perímetro de la circunferencia es: " + (2 * Math.PI * num1));
                break;
            case 4:
                System.out.println("Introduzca la base del rectángulo");
                num1 = sc.nextFloat();
                System.out.println("Introduzca la altura del rectángulo");
                num2 = sc.nextFloat();
                System.out.println("El área del rectángulo es: " + (num1 * num2));
                break;
            case 5:
                System.out.println("Introduzca la base del triángulo");
                num1 = sc.nextFloat();
                System.out.println("Introduzca la altura del triángulo");
                num2 = sc.nextFloat();
                System.out.println("El área del rectángulo es: " + ((num1 * num2) / 2));
                break;
            default:
                System.out.println("No ha seleccionado una opción válida");
        }
    }
}
